#collector {
  position: absolute;
  left: 50%;
  top: 0;
  bottom: 0;
  right: 0;
  overflow: hidden;

  * {
    outline: none;
  }

  button {
    i {
      font-size: 11px;
      position: relative;
      top: -3px;
    }
  }

  // Scroller
  > div {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    z-index: 1;
    -webkit-overflow-scrolling: touch;
    scroll-behavior: smooth;
    opacity: 1;
    transition: opacity 0.2s;

    &.loading {
      opacity: 0;
    }

    // Blocks
    > div {
      padding-left: 64px;
      padding-right: 64px;

      // Block
      > div {
        position: relative;
        opacity: 0.2;
        pointer-events: none;
        transition: opacity 0.3s;

        // Activator for jumping to blocks
        > div.activator {
          position: absolute;
          left: 0;
          top: 0;
          right: 0;
          bottom: 0;
          pointer-events: auto;
          cursor: pointer;
        }

        // The active block
        &.active {
          opacity: 1;
          pointer-events: auto;

          > div.activator {
            opacity: 0;
            pointer-events: none;
          }
        }

        // Required blocks
        h2 {
          > span.numerator {
            font-size: 20px;
            display: inline-block;
            width: 50px;
            margin-left: -50px;
            text-align: center;
          }

          > span.required {
            color: red;
            margin-left: 6px;

            &::after {
              content: "*";
            }
          }
        }

        // Complete button
        &.complete {
          > div {
            border-top: 1px solid rgba(0, 0, 0, 0.08);
            padding-top: 15px;
            padding-bottom: 15px;
            opacity: 0;
            transform: translateY(100px);
            transition: opacity 0.2s ease-out, transform 0.2s ease-out;
          }

          &.active > div {
            opacity: 1;
            transform: none;
          }
        }
      }

      div.static {
        padding-bottom: 45px;

        > div {
          padding-top: 15px;
          opacity: 0;
          transform: translateY(10px);
          transition: opacity 0.2s ease-out, transform 0.2s ease-out;

          &.active {
            opacity: 1;
            transform: none;
          }
        }
      }
    }
  }
}
